[**@notabene/javascript-sdk**](../../README.md)

***

[@notabene/javascript-sdk](../../modules.md) / [types](../README.md) / CMType

# Enumeration: CMType

Component Message Type enum representing different message types that can be sent
between the host and component.

## Remarks

- COMPLETE: Indicates a completed operation with response data
- RESIZE: Request to adjust component size/dimensions
- RESULT: Operation result notification
- READY: Component is initialized and ready
- INVALID: Validation failed with errors
- ERROR: Operation encountered an error
- CANCEL: Operation was cancelled

## Enumeration Members

### CANCEL

> **CANCEL**: `"cancel"`

#### Defined in

[types.ts:872](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/f6a0825d098b61a3bc31d6c197072643eb78a452/src/types.ts#L872)

***

### COMPLETE

> **COMPLETE**: `"complete"`

#### Defined in

[types.ts:866](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/f6a0825d098b61a3bc31d6c197072643eb78a452/src/types.ts#L866)

***

### ERROR

> **ERROR**: `"error"`

#### Defined in

[types.ts:871](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/f6a0825d098b61a3bc31d6c197072643eb78a452/src/types.ts#L871)

***

### INVALID

> **INVALID**: `"invalid"`

#### Defined in

[types.ts:870](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/f6a0825d098b61a3bc31d6c197072643eb78a452/src/types.ts#L870)

***

### READY

> **READY**: `"ready"`

#### Defined in

[types.ts:869](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/f6a0825d098b61a3bc31d6c197072643eb78a452/src/types.ts#L869)

***

### RESIZE

> **RESIZE**: `"resize"`

#### Defined in

[types.ts:867](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/f6a0825d098b61a3bc31d6c197072643eb78a452/src/types.ts#L867)

***

### RESULT

> **RESULT**: `"result"`

#### Defined in

[types.ts:868](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/f6a0825d098b61a3bc31d6c197072643eb78a452/src/types.ts#L868)
